Package org.eclipse.m2m.atl.emftvm.constraints

## Class ValidCodeBlockStackLevelConstraint

- java.lang.Object
- - org.eclipse.emf.validation.AbstractModelConstraint
  - - org.eclipse.m2m.atl.emftvm.constraints.ValidCodeBlockStackLevelConstraint

    public class ValidCodeBlockStackLevelConstraint
    extends org.eclipse.emf.validation.AbstractModelConstraint

Validates the final stack level of code blocks, which should be 0 or 1.

### Field Summary

Fields
`protected Validator<CodeBlock>` `validator`

### Constructor Summary

Constructors
`ValidCodeBlockStackLevelConstraint()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.core.runtime.IStatus` `validate​(org.eclipse.emf.validation.IValidationContext ctx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### validator

    protected final Validator<CodeBlock> validator

### Constructor Detail

#### ValidCodeBlockStackLevelConstraint

    public ValidCodeBlockStackLevelConstraint()

### Method Detail

#### validate

    public org.eclipse.core.runtime.IStatus validate​(org.eclipse.emf.validation.IValidationContext ctx)

Specified by:
  `validate` in class `org.eclipse.emf.validation.AbstractModelConstraint`